<?php
/**
 * Blogger Hub: Block Patterns
 *
 * @package Blogger Hub
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'blogger-hub',
		array( 'label' => __( 'Blogger Hub', 'blogger-hub' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'blogger-hub/banner-section',
		array(
			'title'      => __( 'Banner Section', 'blogger-hub' ),
			'categories' => array( 'blogger-hub' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/banner.png\",\"id\":2363,\"dimRatio\":40,\"isDark\":false,\"align\":\"full\",\"className\":\"banner-section\"} -->\n<div class=\"wp-block-cover alignfull is-light banner-section\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-40 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-2363\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'blogger-hub/our-blog-category-section',
		array(
			'title'      => __( 'Our Blog Category Section', 'blogger-hub' ),
			'categories' => array( 'blogger-hub' ),
			'content'    => "<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#f5e4e3\"}},\"className\":\"main-service-section\"} -->\n<div class=\"wp-block-group alignfull main-service-section has-background\" style=\"background-color:#f5e4e3\"><!-- wp:columns {\"align\":\"wide\",\"className\":\"mx-md-5  py-md-5 py-3 service-section-main-col\"} -->\n<div class=\"wp-block-columns alignwide mx-md-5  py-md-5 py-3 service-section-main-col\"><!-- wp:column {\"width\":\"30.33%\",\"className\":\"service-section-col\"} -->\n<div class=\"wp-block-column service-section-col\" style=\"flex-basis:30.33%\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":1,\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontSize\":\"18px\"},\"color\":{\"background\":\"#7c3028\"}},\"textColor\":\"white\"} -->\n<h1 class=\"has-text-align-center has-white-color has-text-color has-background\" style=\"background-color:#7c3028;font-size:18px;text-transform:uppercase\">About me</h1>\n<!-- /wp:heading --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"backgroundColor\":\"white\",\"className\":\"position-relative about-mi-section\"} -->\n<div class=\"wp-block-column position-relative about-mi-section has-white-background-color has-background\"><!-- wp:image {\"align\":\"center\",\"id\":2407,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mt-md-4  mb-md-0 mb-0\"} -->\n<figure class=\"wp-block-image aligncenter size-full mt-md-4  mb-md-0 mb-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/about-me section.png\" alt=\"\" class=\"wp-image-2407\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"textTransform\":\"capitalize\"}},\"textColor\":\"black\",\"fontSize\":\"medium\"} -->\n<h2 class=\"has-text-align-center has-black-color has-text-color has-medium-font-size\" style=\"text-transform:capitalize\"> Lorem Ipsum&nbsp;is simply dummy text </h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#666666\"}},\"className\":\"mx-md-2\"} -->\n<p class=\"has-text-align-center mx-md-2 has-text-color\" style=\"color:#666666;font-size:16px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"className\":\"social-icons\"} -->\n<div class=\"wp-block-columns social-icons\"><!-- wp:column {\"backgroundColor\":\"white\",\"textColor\":\"white\",\"className\":\"py-md-4\"} -->\n<div class=\"wp-block-column py-md-4 has-white-color has-white-background-color has-text-color has-background\"><!-- wp:social-links {\"customIconColor\":\"#7c3028\",\"iconColorValue\":\"#7c3028\",\"iconBackgroundColor\":\"white\",\"iconBackgroundColorValue\":\"#ffffff\",\"align\":\"center\"} -->\n<ul class=\"wp-block-social-links aligncenter has-icon-color has-icon-background-color\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"linkedin\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"pinterest\"} /--></ul>\n<!-- /wp:social-links -->\n\n<!-- wp:social-links {\"customIconColor\":\"#7c3028\",\"iconColorValue\":\"#7c3028\",\"iconBackgroundColor\":\"white\",\"iconBackgroundColorValue\":\"#ffffff\",\"align\":\"center\"} -->\n<ul class=\"wp-block-social-links aligncenter has-icon-color has-icon-background-color\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"google\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"youtube\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"vimeo\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"82.66%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:82.66%\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":1,\"style\":{\"color\":{\"background\":\"#7c3028\"},\"typography\":{\"textTransform\":\"uppercase\",\"fontSize\":\"18px\"}},\"textColor\":\"white\"} -->\n<h1 class=\"has-text-align-center has-white-color has-text-color has-background\" style=\"background-color:#7c3028;font-size:18px;text-transform:uppercase\">Recent Block</h1>\n<!-- /wp:heading --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"className\":\"recent-block-main-col\"} -->\n<div class=\"wp-block-columns recent-block-main-col\"><!-- wp:column {\"backgroundColor\":\"white\",\"className\":\"recent-block-col\"} -->\n<div class=\"wp-block-column recent-block-col has-white-background-color has-background\"><!-- wp:heading {\"textAlign\":\"center\",\"textColor\":\"black\",\"className\":\"mx-md-1 \",\"fontSize\":\"medium\"} -->\n<h2 class=\"has-text-align-center mx-md-1 has-black-color has-text-color has-medium-font-size\">Lorem Ipsum&nbsp;is simply dummy text of the printing</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"15px\"}},\"textColor\":\"black\",\"className\":\"para-one\"} -->\n<p class=\"has-text-align-center para-one has-black-color has-text-color\" style=\"font-size:15px\">August 2,2022</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:image {\"align\":\"center\",\"id\":2384,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\" mb-md-2 mb-0\"} -->\n<figure class=\"wp-block-image aligncenter size-full  mb-md-2 mb-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/recent-block1.png\" alt=\"\" class=\"wp-image-2384\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"mb-md-2 mb-2 admin-comment\"} -->\n<div class=\"wp-block-columns mb-md-2 mb-2 admin-comment\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"15px\"}},\"textColor\":\"black\",\"className\":\"root  mb-md-0\"} -->\n<p class=\"has-text-align-right root mb-md-0 has-black-color has-text-color\" style=\"font-size:15px\">admin</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"15px\"}},\"textColor\":\"black\",\"className\":\"comment mb-md-0\"} -->\n<p class=\"has-text-align-left comment mb-md-0 has-black-color has-text-color\" style=\"font-size:15px\">comment</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"color\":{\"text\":\"#707070\"},\"typography\":{\"fontSize\":\"15px\"}},\"className\":\"mx-md-2  mx-2\"} -->\n<p class=\"has-text-align-center mx-md-2 mx-2 has-text-color\" style=\"color:#707070;font-size:15px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"align\":\"center\",\"style\":{\"color\":{\"background\":\"#7c3028\"},\"border\":{\"radius\":\"4px\"}},\"fontSize\":\"small\"} -->\n<div class=\"wp-block-button aligncenter has-custom-font-size has-small-font-size\"><a class=\"wp-block-button__link has-background\" style=\"border-radius:4px;background-color:#7c3028\">READ MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"backgroundColor\":\"white\",\"className\":\"recent-block-col\"} -->\n<div class=\"wp-block-column recent-block-col has-white-background-color has-background\"><!-- wp:heading {\"textAlign\":\"center\",\"textColor\":\"black\",\"className\":\"mx-md-1\",\"fontSize\":\"medium\"} -->\n<h2 class=\"has-text-align-center mx-md-1 has-black-color has-text-color has-medium-font-size\">Lorem Ipsum&nbsp;is simply dummy text of the printing </h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"15px\"}},\"textColor\":\"black\",\"className\":\"para-one\"} -->\n<p class=\"has-text-align-center para-one has-black-color has-text-color\" style=\"font-size:15px\">August 2,2022</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:image {\"align\":\"center\",\"id\":2385,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\" mb-md-2 mb-0\"} -->\n<figure class=\"wp-block-image aligncenter size-full  mb-md-2 mb-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/recent-block2.png\" alt=\"\" class=\"wp-image-2385\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"mb-md-2 mb-2 admin-comment\"} -->\n<div class=\"wp-block-columns mb-md-2 mb-2 admin-comment\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"15px\"}},\"textColor\":\"black\",\"className\":\"root mb-md-0\"} -->\n<p class=\"has-text-align-right root mb-md-0 has-black-color has-text-color\" style=\"font-size:15px\">admin</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"15px\"}},\"textColor\":\"black\",\"className\":\"comment mb-md-0\"} -->\n<p class=\"has-text-align-left comment mb-md-0 has-black-color has-text-color\" style=\"font-size:15px\">comment</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"15px\"},\"color\":{\"text\":\"#707070\"}},\"className\":\"mx-md-2 mx-2\"} -->\n<p class=\"has-text-align-center mx-md-2 mx-2 has-text-color\" style=\"color:#707070;font-size:15px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"align\":\"center\",\"style\":{\"color\":{\"background\":\"#7c3028\"},\"border\":{\"radius\":\"4px\"}},\"fontSize\":\"small\"} -->\n<div class=\"wp-block-button aligncenter has-custom-font-size has-small-font-size\"><a class=\"wp-block-button__link has-background\" style=\"border-radius:4px;background-color:#7c3028\">READ MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->",
		)
	);
}